{
  "name": "tailadmin-react",
  "private": true,
  "version": "2.0.2",
  "type": "module",
  "scripts": {
    "dev": "vite",
    "dev:marketing": "PORT=5174 vite --host 0.0.0.0 --port 5174 --mode development",
    "build": "vite build",
    "build:marketing": "vite build --mode marketing",
    "build:check": "tsc -b && vite build",
    "type-check": "tsc -b --noEmit",
    "lint": "eslint .",
    "preview": "vite preview",
    "test": "vitest",
    "test:ui": "vitest --ui",
    "test:coverage": "vitest --coverage"
  },
  "dependencies": {
    "@fullcalendar/core": "^6.1.15",
    "@fullcalendar/daygrid": "^6.1.15",
    "@fullcalendar/interaction": "^6.1.15",
    "@fullcalendar/list": "^6.1.15",
    "@fullcalendar/react": "^6.1.15",
    "@fullcalendar/timegrid": "^6.1.15",
    "@heroicons/react": "^2.2.0",
    "@react-jvectormap/core": "^1.0.4",
    "@react-jvectormap/world": "^1.1.2",
    "apexcharts": "^4.1.0",
    "clsx": "^2.1.1",
    "flatpickr": "^4.6.13",
    "lucide-react": "^0.554.0",
    "react": "^19.0.0",
    "react-apexcharts": "^1.7.0",
    "react-dnd": "^16.0.1",
    "react-dnd-html5-backend": "^16.0.1",
    "react-dom": "^19.0.0",
    "react-dropzone": "^14.3.5",
    "react-helmet-async": "^2.0.5",
    "react-router": "^7.1.5",
    "react-router-dom": "^7.9.5",
    "swiper": "^11.2.3",
    "tailwind-merge": "^3.0.1",
    "zustand": "^5.0.8"
  },
  "devDependencies": {
    "@eslint/js": "^9.19.0",
    "@tailwindcss/postcss": "^4.0.8",
    "@testing-library/jest-dom": "^6.1.5",
    "@testing-library/react": "^14.1.2",
    "@testing-library/user-event": "^14.5.1",
    "@types/react": "^19.0.12",
    "@types/react-dom": "^19.0.4",
    "@vitejs/plugin-react": "^4.3.4",
    "@vitest/ui": "^1.0.4",
    "eslint": "^9.19.0",
    "eslint-plugin-react-hooks": "^5.0.0",
    "eslint-plugin-react-refresh": "^0.4.18",
    "globals": "^15.14.0",
    "jsdom": "^23.0.1",
    "postcss": "^8.5.2",
    "tailwindcss": "^4.0.8",
    "typescript": "~5.7.2",
    "typescript-eslint": "^8.22.0",
    "vite": "^6.1.0",
    "vite-plugin-svgr": "^4.3.0",
    "vitest": "^1.0.4"
  },
  "overrides": {
    "react-helmet-async": {
      "react": "^16.8.0 || ^17 || ^18 || ^19"
    },
    "@react-jvectormap/core": {
      "react": "^16.8.0 || ^17 || ^18 || ^19",
      "react-dom": "^16.8.0 || ^17 || ^18 || ^19"
    },
    "@react-jvectormap/world": {
      "react": "^16.8.0 || ^17 || ^18 || ^19",
      "react-dom": "^16.8.0 || ^17 || ^18 || ^19"
    }
  }
}
